/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-07-30 18:40
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
ll N;

void solve(){
    // Code goes here ...
    string row1, row2, row3;
    cin >> row1 >> row2 >> row3;
    
    map<char, bool> wins;
    wins.emplace('X', false);
    wins.emplace('O', false);
    wins.emplace('+', false);

    if(row1[0] == row2[0] and row1[0] == row3[0])
        wins[row1[0]] = true;
    if(row1[1] == row2[1] and row1[1] == row3[1])
        wins[row1[1]] = true;
    if(row1[2] == row2[2] and row1[2] == row3[2])
        wins[row1[2]] = true;

    if(row1[0] == row1[1] and row1[1] == row1[2])
        wins[row1[0]] = true;
    if(row2[0] == row2[1] and row2[1] == row2[2])
        wins[row2[0]] = true;
    if(row3[0] == row3[1] and row3[1] == row3[2])
        wins[row3[0]] = true;

    if(row1[0] == row2[1] and row2[1] == row3[2])
        wins[row1[0]] = true;
    if(row3[0] == row2[1] and row2[1] == row1[2])
        wins[row3[0]] = true;

    int numwinners = 0;
    for(auto[c, b]: wins)
        if(b and c != '.') numwinners++;

    if(numwinners != 1){
        cout << "DRAW" << endl;
        return;
    }

    for(auto[c, b]: wins)
        if(b and c != '.')
            cout << c << endl;

}

int main(){
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
